Ubuntu

package software-center 2.0.7 failed to install/upgrade with python-central error on 9.10 -> 10.04 upgrade

Reported by Kevin O'Brien on 2010-09-25
320
This bug affects 14 people
Affects Status Importance Assigned to Milestone
python-central (Ubuntu)
Undecided
Unassigned
software-center (Ubuntu)
High
Unassigned

Bug Description

Binary package hint: software-center

The report on the error came after I had updated the system using Update Manager.
I am dual booted Ubuntu 10.04/Vista.

ProblemType: Package
DistroRelease: Ubuntu 10.04
Package: software-center 2.0.7
ProcVersionSignature: Ubuntu 2.6.32-24.43-generic 2.6.32.15+drm33.5
Uname: Linux 2.6.32-24-generic i686
Architecture: i386
Date: Sat Sep 25 08:38:41 2010
ErrorMessage: subprocess installed post-installation script returned error exit status 1
InstallationMedia: Ubuntu 10.04 LTS "Lucid Lynx" - Release i386 (20100429)
PackageArchitecture: all
SourcePackage: software-center
Title: package software-center 2.0.7 failed to install/upgrade: subprocess installed post-installation script returned error exit status 1

Kevin O'Brien (caoimhino) wrote :
Michael Vogt (mvo) wrote :

Here is the error:

Setting up software-center (2.0.7) ...
file does not exist: /usr/share/software-center/softwarecenter/apt/__init__.py
file does not exist: /usr/share/software-center/softwarecenter/db/__init__.py
file does not exist: /usr/share/software-center/softwarecenter/view/__init__.py
file does not exist: /usr/share/software-center/softwarecenter/view/widgets/__init__.py
pycentral: pycentral pkginstall: error byte-compiling files (50)
pycentral pkginstall: error byte-compiling files (50)
dpkg: error processing software-center (--configure):
 subprocess installed post-installation script returned error exit status 1

That looks odd, do you have something that removes zero size files?

Not that I know of. I am a relative new comer to Linux Ubuntu.

> Date: Mon, 27 Sep 2010 16:25:17 +0000
> From: <email address hidden>
> To: <email address hidden>
> Subject: [Bug 647349] Re: package software-center 2.0.7 failed to install/upgrade: subprocess installed post-installation script returned error exit status 1.
>
> Here is the error:
>
> Setting up software-center (2.0.7) ...
> file does not exist: /usr/share/software-center/softwarecenter/apt/__init__.py
> file does not exist: /usr/share/software-center/softwarecenter/db/__init__.py
> file does not exist: /usr/share/software-center/softwarecenter/view/__init__.py
> file does not exist: /usr/share/software-center/softwarecenter/view/widgets/__init__.py
> pycentral: pycentral pkginstall: error byte-compiling files (50)
> pycentral pkginstall: error byte-compiling files (50)
> dpkg: error processing software-center (--configure):
> subprocess installed post-installation script returned error exit status 1
>
> That looks odd, do you have something that removes zero size files?
>
> --
> package software-center 2.0.7 failed to install/upgrade: subprocess installed post-installation script returned error exit status 1.
> https://bugs.launchpad.net/bugs/647349
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in “software-center” package in Ubuntu: New
>
> Bug description:
> Binary package hint: software-center
>
> The report on the error came after I had updated the system using Update Manager.
> I am dual booted Ubuntu 10.04/Vista.
>
> ProblemType: Package
> DistroRelease: Ubuntu 10.04
> Package: software-center 2.0.7
> ProcVersionSignature: Ubuntu 2.6.32-24.43-generic 2.6.32.15+drm33.5
> Uname: Linux 2.6.32-24-generic i686
> Architecture: i386
> Date: Sat Sep 25 08:38:41 2010
> ErrorMessage: subprocess installed post-installation script returned error exit status 1
> InstallationMedia: Ubuntu 10.04 LTS "Lucid Lynx" - Release i386 (20100429)
> PackageArchitecture: all
> SourcePackage: software-center
> Title: package software-center 2.0.7 failed to install/upgrade: subprocess installed post-installation script returned error exit status 1
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/ubuntu/+source/software-center/+bug/647349/+subscribe

Changed in software-center (Ubuntu):
status: New → Confirmed
Matthew Paul Thomas (mpt) wrote :

So, Ubuntu 10.04 is the most recent LTS. Ubuntu Software Center 2.0.7 is the latest version available in Ubuntu 10.04. And it seems like a lot of people are getting an error when trying to update to 2.0.7. For those three reasons, though it is a really old version, I'm tentatively marking this as High. If we can issue a 2.0.8 that fixes the problem, I think we should.

To those people who reported duplicates of this bug, where I recently suggested that the bug might have been fixed since, I apologize: I hadn't realized the problem still occurs. The earliest report of this problem is from 2010-08-18 (three weeks after 2.0.7 was released), and the most recent is from 2011-07-24.

Changed in software-center (Ubuntu):
importance: Undecided → High
Gary Lasker (gary-lasker) wrote :

Thanks for the analysis, mpt, it's very useful!

Gary Lasker (gary-lasker) wrote :

Here is a comment and request for more info from Evan Peck in a very recent duplicate. The information that we need is to know what version of Ubuntu is being upgraded to so that we can try to reproduce this issue and if we can do that we can work to figure out the fix :

Travis,

Go to System Settings -> Details
and tell me what it says.
OR Do you know what version of Ubuntu you are on right now?
Also, please do not reply to Emails about this, instead comment at https://bugs.launchpad.net/ubuntu/+source/software-center/+bug/647349

Muchas Gracias!
Evan Peck ;~)

Gary Lasker (gary-lasker) wrote :

I'm sorry, I fear I was very unclear in my previous comment. So, this bug appears to occur on a upgrade from a previous version of Ubuntu to version 10.04 LTS (the Lucid Lynx). It does appear that this occurs when upgrading from 9.10 (per apport data), so that is a good test case for us to go with.

Thanks again!

Evan Peck (colors) wrote :

Gary,

Where I was trying to go with comment in the duplicate is that the four files:
/usr/share/software-center/softwarecenter/apt/__init__.py
/usr/share/software-center/softwarecenter/db/__init__.py
/usr/share/software-center/softwarecenter/view/__init__.py
/usr/share/software-center/softwarecenter/view/widgets/__init__.py
miight be non-existant in some situations AKA old Ubuntu versions.
Just my $0.02.

-Evan Peck

Evan Peck (colors) wrote :

OK, I came up with a workaround.

1. Download luciduscfix.tar.gz - see attatched file.
2. Put it in your home folder.
3. Right-click it and "Extract here"
4. Open a fresh terminal window.
5. "cd luciduscfix"
6. "./fixit.sh"
7. Follow onscreen directions.

There will be some funky errors, don't mind them, it works. Also, if you are not for-sure experiencing this exact bug, DO NOT use this. Just don't.

Muchas Gracias!
Evan Peck ;~)

The attachment "LucidUSCFix - Glacier" of this bug report has been identified as being a patch. The ubuntu-reviewers team has been subscribed to the bug report so that they can review the patch. In the event that this is in fact not a patch you can resolve this situation by removing the tag 'patch' from the bug report and editing the attachment so that it is not flagged as a patch. Additionally, if you are member of the ubuntu-reviewers team please also unsubscribe the team from this bug report.

[This is an automated message performed by a Launchpad user owned by Brian Murray. Please contact him regarding any issues with the action taken in this bug report.]

tags: added: patch

Hello Evan Peck. Thanks for your attachment and the script to fix this. Unfortunately it contains lines like:
 sudo chmod a=rwx $pathusc
that will give all users write permissions to the application, this would potentially allow a malicious non-admin user on the system to add trojan code to software-center to steal e.g. authentication keys for purchases. This is why I deleted the attachment.

If you have more insight in the bug itself I would love to talk what we can do to fix this in a way that does not involve chmod a=rwx.

summary: - package software-center 2.0.7 failed to install/upgrade: subprocess
- installed post-installation script returned error exit status 1.
+ package software-center 2.0.7 failed to install/upgrade with python-
+ central error on 9.10 -> 10.04 upgrade
Michael Vogt (mvo) wrote :

This looks a lot like a python-central problem that is triggered during the 9.10 -> 10.04 upgrade, I added a bugtask for that package.

Dear Michael,

I had thought about this a little while after posting the attatchment and
prepared an alternade version but did not post it to avoid confusion. My
fix was to use chmod to set it back to its original file permissions after
the copy operations. I'd be glad to give it to you but I am away from my
computer until the ninth( i am writing rhis kn my phone) Please let me know
if you want me to handle this differently!

Muchas Gracias!
Evan Peck :~)

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in python-central (Ubuntu):
status: New → Confirmed
Changed in software-center (Ubuntu):
status: Confirmed → Fix Committed
Changed in software-center (Ubuntu):
status: Fix Committed → Confirmed
Rodney Dawes (dobey) on 2013-11-25
Changed in software-center (Ubuntu):
status: Confirmed → Won't Fix
Changed in python-central (Ubuntu):
status: Confirmed → Won't Fix
To post a comment you must log in.